<launch>
<arg name="activate_error_display" default="false"/>
<arg name="camera_tf" default="false"/>

  <!-- Pass in mocap_config_file:=/path/to/config.yaml to change options. -->
  <arg name="mocap_config_file"
       default="$(find optitrack_full)/config/neutral_pose.yaml" />
       
  <!-- <env name="ROSCONSOLE_FORMAT" value="[${severity}] [${time}] [${node}]: ${message}"/>-->
  <arg name="trc_config_file"
       default="$(find optitrack_full)/config/trc_file.yaml" />
       
 <env name="ROSCONSOLE_CONFIG_FILE" value="$(find optitrack_full)/config/rosconsol.conf"/>  
  <node pkg="optitrack_full"
        type="mocap_node"
        name="mocap_node"
        respawn="false"
        clear_params="true"
        launch-prefix=""
        required="true"
        output="screen">
    <rosparam file="$(arg mocap_config_file)" command="load" />
    <rosparam file="$(arg trc_config_file)" command="load" />
  </node>

  <include file="$(find human_control)/launch/human_control.launch">
    <arg name="activate_rviz" value="false"/>
    <arg name="use_urdf_model" value="true"/>    
  </include>

  <node name="rviz" pkg="rviz" type="rviz" args="-d $(find optitrack_full)/rviz/polytope.rviz" />

  <node if="$(arg activate_error_display)" name="display_errors" pkg="optitrack_full" type="display_errors.py" output="screen"/>
  
  <node if="$(arg camera_tf)" pkg="tf" type="static_transform_publisher" name="world2ground" args="0.199906 -0.381091 0.134304 0 0 0 1 ground world 100" />

  <!--<node name="fpin_useful_vals" pkg="human_control" type="fpin_tst" output="screen"/>-->

</launch>
